#include "Core/CriticalSection.h"


CriticalSection::CriticalSection() noexcept {
    InitializeCriticalSection(&section_);
}

CriticalSection::~CriticalSection() noexcept {
    DeleteCriticalSection(&section_);
}
